Bug 112982 - [CoordGfx] Support to share GraphicsSurface flags with client.
Summary: [CoordGfx] Support to share GraphicsSurface flags with client.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Kalyan
URL:
Keywords:
Depends on:
Blocks: 105659
  Show dependency treegraph
 
Reported: 2013-03-21 17:08 PDT by Kalyan
Modified: 2013-03-27 00:11 PDT (History)
9 users (show)

See Also:


Attachments
patch (6.71 KB, patch)
2013-03-21 18:31 PDT, Kalyan
no flags Details | Formatted Diff | Diff
patchv2 (6.75 KB, patch)
2013-03-25 12:24 PDT, Kalyan
noam: review+
Details | Formatted Diff | Diff
patchv3 (6.71 KB, patch)
2013-03-26 11:35 PDT, Kalyan
no flags Details | Formatted Diff | Diff
patchv4 (15.12 KB, patch)
2013-03-26 15:32 PDT, Kalyan
no flags Details | Formatted Diff | Diff
patchv5 (9.67 KB, patch)
2013-03-26 16:00 PDT, Kalyan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kalyan 2013-03-21 17:08:07 PDT
Add support to pass GraphicsSurface flags during it's client creation. This would be helpful to determine certain cases like disable blending in case alpha is not supported/disabled by GraphicsSurface.
Comment 1 Kalyan 2013-03-21 18:31:38 PDT
Created attachment 194410 [details]
patch
Comment 2 Kalyan 2013-03-25 12:24:36 PDT
Created attachment 194901 [details]
patchv2
Comment 3 Kalyan 2013-03-26 11:35:35 PDT
Created attachment 195126 [details]
patchv3
Comment 4 Noam Rosenthal 2013-03-26 11:39:44 PDT
Comment on attachment 195126 [details]
patchv3

LGTM. Switching back to r? since it needs a WK2 owner signoff.
Comment 5 Kalyan 2013-03-26 15:32:10 PDT
Created attachment 195175 [details]
patchv4
Comment 6 Kalyan 2013-03-26 15:44:46 PDT
Comment on attachment 195175 [details]
patchv4

Wrong patch, Marking the patch as obsolete. Will update with right one
Comment 7 Kalyan 2013-03-26 16:00:50 PDT
Created attachment 195177 [details]
patchv5
Comment 8 Kalyan 2013-03-26 16:12:25 PDT
(In reply to comment #7)
> Created an attachment (id=195177) [details]
> patchv5

Included the needed changes in EFL PLatformLayer and GraphicsSurface to take the flags into use.
Comment 9 Benjamin Poulain 2013-03-26 16:26:23 PDT
Comment on attachment 195177 [details]
patchv5

Signed off by me.
Comment 10 WebKit Review Bot 2013-03-27 00:11:02 PDT
Comment on attachment 195177 [details]
patchv5

Clearing flags on attachment: 195177

Committed r146968: <http://trac.webkit.org/changeset/146968>
Comment 11 WebKit Review Bot 2013-03-27 00:11:07 PDT
All reviewed patches have been landed.  Closing bug.